package com.iamberry.wechat.core.entity.product;

import  java.io.Serializable;
import java.util.Date;

/**
 *  首页热销产品类
 * @author xm
 * @Date 2019-03-26
 */
public class IndexProduct  implements  Serializable{
    private static final long serialVersionUID = -1352167235091303738L;
    //id
    private Integer indeProdId;
    //产品id
    private Integer productId;
    //颜色id
    private Integer colorId;
    //排序
    private Integer indeProdSort;
    //状态： 1使用中 2未使用'
    private Integer indeProdStatus;
    //类型：1.第一栏  2.第二栏
    private Integer indeProdType;
    //图片
    private String indeProdImg;
    //图片尺寸  1.小图  2.大图
    private Integer indeProdImgSize;
    //产品名称
    private String productName;
    //产品简介
    private String productColorDes;

    private Integer colorProductId;		//所属产品id
    private String colorProductName;	    //所属产品名称
    private String colorProductPic;		//产品介绍图
    private Integer colorProductType;	//产品类型
    private String colorName;			    //颜色名称
    private Integer colorDiscount;		//产品折扣价
    private Integer colorPrice;			//产品市场价
    private String color69Code;			//产品69码
    private String colorImg;	//图片


    public Integer getIndeProdId(){
        return indeProdId;
    }

    public void setIndeProdId(Integer  indeProdId){
        this.indeProdId=indeProdId;
    }

    public Integer getProductId(){
        return productId;
    }

    public void setProductId(Integer  productId){
        this.productId=productId;
    }

    public Integer getIndeProdSort(){
        return indeProdSort;
    }

    public void setIndeProdSort(Integer  indeProdSort){
        this.indeProdSort=indeProdSort;
    }

    public Integer getIndeProdStatus(){
        return indeProdStatus;
    }

    public void setIndeProdStatus(Integer  indeProdStatus){
        this.indeProdStatus=indeProdStatus;
    }

    public Integer getColorId() {
        return colorId;
    }

    public void setColorId(Integer colorId) {
        this.colorId = colorId;
    }

    public Integer getColorProductId() {
        return colorProductId;
    }

    public void setColorProductId(Integer colorProductId) {
        this.colorProductId = colorProductId;
    }

    public String getColorProductName() {
        return colorProductName;
    }

    public void setColorProductName(String colorProductName) {
        this.colorProductName = colorProductName;
    }

    public String getColorProductPic() {
        return colorProductPic;
    }

    public void setColorProductPic(String colorProductPic) {
        this.colorProductPic = colorProductPic;
    }

    public Integer getColorProductType() {
        return colorProductType;
    }

    public void setColorProductType(Integer colorProductType) {
        this.colorProductType = colorProductType;
    }

    public String getColorName() {
        return colorName;
    }

    public void setColorName(String colorName) {
        this.colorName = colorName;
    }

    public Integer getColorDiscount() {
        return colorDiscount;
    }

    public void setColorDiscount(Integer colorDiscount) {
        this.colorDiscount = colorDiscount;
    }

    public Integer getColorPrice() {
        return colorPrice;
    }

    public void setColorPrice(Integer colorPrice) {
        this.colorPrice = colorPrice;
    }

    public String getColor69Code() {
        return color69Code;
    }

    public void setColor69Code(String color69Code) {
        this.color69Code = color69Code;
    }

    public String getColorImg() {
        return colorImg;
    }

    public void setColorImg(String colorImg) {
        this.colorImg = colorImg;
    }

    public Integer getIndeProdType() {
        return indeProdType;
    }

    public void setIndeProdType(Integer indeProdType) {
        this.indeProdType = indeProdType;
    }

    public String getIndeProdImg() {
        return indeProdImg;
    }

    public void setIndeProdImg(String indeProdImg) {
        this.indeProdImg = indeProdImg;
    }

    public Integer getIndeProdImgSize() {
        return indeProdImgSize;
    }

    public void setIndeProdImgSize(Integer indeProdImgSize) {
        this.indeProdImgSize = indeProdImgSize;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getProductColorDes() {
        return productColorDes;
    }

    public void setProductColorDes(String productColorDes) {
        this.productColorDes = productColorDes;
    }
}